Bug 211807 - Review Request: firefox2 - Mozilla Firefox 2.0 Web browser for FC6
Review Request: firefox2 - Mozilla Firefox 2.0 Web browser for FC6
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Package Reviews List
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2006-10-23 03:34 EDT by Gawain Lynch
Modified: 2007-11-30 17:11 EST (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-03 18:50:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gawain Lynch 2006-10-23 03:34:33 EDT
Spec URL: http://gawain.thecodergeek.com/fedora/6/SPECS/firefox2.spec
SRPM URL: http://gawain.thecodergeek.com/fedora/6/SRPMS/firefox2-2.0-1.rc3.src.rpm
Description: Firefox 2.0 that is parallel installable with 1.5.x in FC6.

As it has been decided that FC6 will stick with FF1.5, this package allows people to use FF2 without having to compile a multitude of packages.  

The only gotcha is that if you want to go back to FF1.5 then you will need to use a separate profile, to this end the launcher in this package starts FF with the -ProfileManager switch.

I will update the SRPM when 2.0 goes live tomorrow.
This is my first package so I need some kind soul to sponsor me.
Comment 1 Tim Lauridsen 2006-10-23 06:28:24 EDT
I think the release should be 0.1.rc3 insted of 1.rc3, to make updating work.
( firefox2-2.0-1.rc3 => firefox2-2.0-0.1.rc3)

Check the Package Naming Guidelines.
http://fedoraproject.org/wiki/Packaging/NamingGuidelines#head-d97a3f40b6dd9d2288206ac9bd8f1bf9b791b22a
Comment 2 Gawain Lynch 2006-10-23 06:46:08 EDT
Agreed.  However 2.0 goes live in a few hours so I'll upload a new SRPM tomorrow.
Comment 3 Tim Lauridsen 2006-10-23 08:57:00 EDT
Output from rpmlint.

#rpmlint firefox2-2.0-1.rc3.src.rpm 
W: firefox2 strange-permission firefox-1.1-uriloader.patch 0755
W: firefox2 strange-permission add-gecko-provides.in 0755
W: firefox2 strange-permission firefox-1.1-software-update.patch 0755
W: firefox2 strange-permission firefox-1.1-default-applications.patch 0755
W: firefox2 strange-permission firefox-mozconfig-branded 0755
W: firefox2 strange-permission firefox-mozconfig 0755
W: firefox2 strange-permission find-external-requires 0755
W: firefox2 unversioned-explicit-obsoletes phoenix
W: firefox2 unversioned-explicit-obsoletes mozilla-firebird
W: firefox2 unversioned-explicit-obsoletes MozillaFirebird
W: firefox2 unversioned-explicit-provides webclient
W: firefox2 unversioned-explicit-obsoletes mozilla-devel
W: firefox2 macro-in-%changelog attr
W: firefox2 mixed-use-of-spaces-and-tabs (spaces: line 11, tab: line 67)
W: firefox2 patch-not-applied Patch24: firefox-RC1-stock-icons-be.patch
W: firefox2 patch-not-applied Patch25: firefox-RC1-stock-icons-fe.patch
W: firefox2 patch-not-applied Patch26: firefox-RC1-stock-icons-gnomestripe.patch
W: firefox2 patch-not-applied Patch27: firefox-gnomestripe-0.1-livemarks.patch
W: firefox2 patch-not-applied Patch20: firefox-redhat-homepage.patch
W: firefox2 patch-not-applied Patch23: firefox-1.1-software-update.patch
W: firefox2 patch-not-applied Patch3: firefox-1.1-nss-system-nspr.patch
W: firefox2 patch-not-applied Patch4: firefox-1.5-with-system-nss.patch
W: firefox2 patch-not-applied Patch82: firefox-1.5-pango-mathml.patch
W: firefox2 patch-not-applied Patch100: firefox-1.5-gtk-key-theme-crash.patch
Comment 4 Gawain Lynch 2006-10-24 02:28:42 EDT
FF2 Final SRPM's are up...

http://gawain.thecodergeek.com/fedora/6/SPECS/firefox2.spec
http://gawain.thecodergeek.com/fedora/6/SRPMS/firefox2-2.0-2.src.rpm

$ rpmlint firefox2-2.0-2.src.rpm 
W: firefox2 strange-permission find-external-requires 0755
W: firefox2 unversioned-explicit-obsoletes phoenix
W: firefox2 unversioned-explicit-obsoletes mozilla-firebird
W: firefox2 unversioned-explicit-obsoletes MozillaFirebird
W: firefox2 unversioned-explicit-provides webclient
W: firefox2 unversioned-explicit-obsoletes mozilla-devel
W: firefox2 macro-in-%changelog attr

1. find-external-requires is a script
2. Obsoletes are from caillon's SRPM
3. Macro in changelog is an entry from 2003 relating to a valid change.  I don't
feel comfortable changing it without clarification
4. caillon needs to agree with this[1]

[1] https://www.redhat.com/archives/fedora-devel-list/2006-October/msg00624.html
Comment 5 Jima 2006-10-26 16:13:19 EDT
I'm not a sponsor, so I can't do an official review, but a couple things jump
out at me:

> 1. find-external-requires is a script

 Does that mean it needs to be transported in the SRPM +x'd?  Can't it be set
644 and chmod'd +x in the conditional that points __find_requires at it?  (I
suspect "yes.")  There's (rarely? never?) a reason to have a file +x in the
SRPM, they can usually be corrected during the prep/build/install process.

> 3. Macro in changelog is an entry from 2003 relating to a valid change.  I 
> don't feel comfortable changing it without clarification

 Neither would I.  However, escaping it as %%attr both preserves the history
(shows up as %attr in --changelog) and shuts rpmlint up about it. ;-)

 Minor tweaks, I wouldn't bother respinning unless you have more important fixes
to add.
Comment 6 Allen Halsey 2006-10-30 14:20:48 EST
Thanks for trying to make Firefox 2.0 available in Fc6. I need Firefox 2.0
because an extension I use for work requires it (Zotero).
Comment 7 Michał Bentkowski 2006-11-08 15:11:18 EST
Gawain, ping?
Comment 8 Gawain Lynch 2006-11-08 15:34:06 EST
You rang?
Comment 9 Stefan Neufeind 2006-11-11 16:02:01 EST
I'd also appreciate firefox2 in FC6. Various extensions already demand it!
Comment 10 Neal Becker 2006-11-14 11:50:15 EST
Build fails on FC6 x86_64.
/usr/bin/ld: ../../dist/lib/libgkconcvs_s.a(nsCanvasRenderingContext2D.o): 
relocation R_X86_64_PC32 against 
`cairo_xlib_surface_create_with_xrender_format' can not be used when making a 
shared object; recompile with -fPIC
/usr/bin/ld: final link failed: Bad value
collect2: ld returned 1 exit status
gmake[4]: *** [libgklayout.so] Error 1
gmake[4]: Leaving directory `/home/nbecker/RPM/BUILD/mozilla/layout/build'
Comment 11 Gawain Lynch 2006-11-15 04:35:38 EST
Neal, does it build if you comment out the "%patch200 -p1 -b .firefox2" line in
the spec file?
Comment 12 Neal Becker 2006-11-15 08:27:03 EST
No.

The problem must be that something was built without -fPIC.  This is ignored 
on x86 32bit, but is really an error and doesn't work on x86_64.
Comment 13 Dmitriy Kropivnitskiy 2006-11-30 15:25:43 EST
Just to report success. I have just built this from SRPM on my HP xw4100 box.
Posting this from firefox 2. Works beautifully.
Comment 14 Gilboa Davara 2006-12-01 10:58:34 EST
No go for me.

Still getting the ld error. (FC6/x86_64)
/usr/bin/ld: ../../dist/lib/libgkconcvs_s.a(nsCanvasRenderingContext2D.o):
relocation R_X86_64_PC32 against `cairo_xlib_surface_create_with_xrender_format'
can not be used when making a shared object; recompile with -fPIC
/usr/bin/ld: final link failed: Bad value

- Gilboa
Comment 15 Kevin Fenzi 2006-12-28 14:40:24 EST
Hey Gawain. 

I'd like to move this forward if possible. 

1. Any chance of an updated 2.0.0.1 rpm?

2. Can you ping Christopher ( caillon at redhat.com ) and confirm that he is ok
with you moving forward with this package. He's the firefox maintainer in core,
and I don't think we want to cause him problems or issues. I would like to see a
up or down from him here before reviewing this. 

I will take a look at the x86_64 build as soon as my mock build gets there. 
Comment 16 Gawain Lynch 2006-12-29 18:54:36 EST
Hey Kevin,

I have been away and unable to get to this earlier.

The good news is that I am working on an updated rpm now.

The bad news is that initial discussion with caillon was that he was not in
favour of having this happen[1].

However if we could find a way to appease his concerns there might be hope.

1. https://www.redhat.com/archives/fedora-devel-list/2006-October/msg00624.html
Comment 17 Kevin Fenzi 2006-12-29 19:14:36 EST
Yeah, I thought that was the case, but I couldn't find the discussion when I
looked for it a while ago. ;( 

I have mailed Christopher and asked him to comment here on this package.
Perhaps something has changed since October. 

Hopefully he will have time to do so soon. 
Comment 18 Thorsten Leemhuis 2006-12-30 06:37:22 EST
(In reply to comment #16)
> The bad news is that initial discussion with caillon was that he was not in
> favour of having this happen[1].

Well, there seems to be a lot of users out there (including me) that are
probably interested in this package; I think we should find a solution for them.
Telling users to wait another four months until F7 is not the answer.
Comment 20 Gawain Lynch 2006-12-30 12:06:30 EST
(In reply to comment #18)
> Well, there seems to be a lot of users out there (including me) that are
> probably interested in this package; I think we should find a solution for them.
> Telling users to wait another four months until F7 is not the answer.

Agree whole heartedly.  Chris is maintaining ff2 in rawhide and I adjust his
spec file slightly, there is little in the way of effort at the moment.

As for the legal aspect, I am sure that RH legal could talk to Moz legal about
the patch included in this, it only changes cosmetics to add a '2'.
Comment 21 Axel Thimm 2006-12-30 13:06:37 EST
> As for the legal aspect, I am sure that RH legal could talk to Moz legal about
> the patch included in this, it only changes cosmetics to add a '2'.

I think RH legal is the wrong contact, AFAIK Chris is the direct contact to the
Mozilla folks, anything regarding TMs and required grants on this has to go
through him.
Comment 22 Axel Thimm 2006-12-30 13:26:03 EST
Christopher Aillon said:

> And most importantly, no matter who ends up maintaining this in Extras, I am
> ultimately responsible for it as I'm the Fedora contact for upstream, have the
> upstream cred, and am part of the security and release teams upstream.
> Anything that happens between Extras and upstream will come back to me if
> only for my opinion. Questions about processes, etc. from whoever would own
> the Extras package will likely come through me. I'd be responsible for making
> sure security fixes get out at roughly the same time as the Core versions.
> And this is an unnecessary responsibility.

I think this package needs to be explicitly allowed or disallowed by Chris to
enter extras (regardless of any packaging issues a reviewer might yet hit,
that's the next step).

E.g. please get his explicit consent before any further actions. I've added
Chris to the Cc for him to give his definitive thumbs up or down.
Comment 23 Thorsten Leemhuis 2006-12-30 13:52:13 EST
(In reply to comment #22)
> I think this package needs to be explicitly allowed or disallowed by Chris to
> enter extras

Well, if he disallows it in the scope of the trademark issue then I'll stongly
vote to rename the pacakge to "iceweasel".
Comment 24 Heiko Adams 2006-12-30 14:01:10 EST
I would recomend another way for installation if he disallows:
install firefox2 at /opt and place the symlink "firefox" at /usr/local/bin on
this way there shouldn't be any conflicts with an installed firefox1.5
Comment 25 Kevin Fenzi 2006-12-30 15:03:23 EST
In reply to comment #22: 

Yeah, I mailed Chris directly to come and comment. I didn't want to add him to
CC as I figured he got enough email already. ;) 

In reply to comments #23, #24: 

I don't think we should speculate on such things yet. Lets see what Chris says... 

FYI, The package in comment #19 now compiles fine in mock for x86_64 here. 

I am posting this comment via the version in comment #19 and it's working just
fine. 
Comment 26 Thorsten Leemhuis 2007-01-01 08:12:28 EST
Gawain, so what do we do make sure firefox15 profile is not modified? firefox2
IMHO must be completely parallel-installable (e.g. separate home-dirs for both
firefox15 and firefox2) IMHO, otherwise it's unsuitable for Extras
Comment 27 Gilboa Davara 2007-01-01 08:43:39 EST
FYI firefox2-2.0.0.1-2.1.fc6.src.rpm builds just fine on FC6/x86_64.

Thanks.
-  Gilboa
Comment 28 Gawain Lynch 2007-01-01 09:08:13 EST
(In reply to comment #26)
> Gawain, so what do we do make sure firefox15 profile is not modified? firefox2
> IMHO must be completely parallel-installable (e.g. separate home-dirs for both
> firefox15 and firefox2) IMHO, otherwise it's unsuitable for Extras

IT is not an elegant solution, but the .desktop file uses the -ProfileManager
switch.

I'm not sure that we can automatically create another profile and copy
everything over.  If some one else has some pointers on if/how this can be done,
I would love to hear about it.
Comment 29 Thorsten Leemhuis 2007-01-01 09:31:52 EST
(In reply to comment #28)
> IT is not an elegant solution, but the .desktop file uses the -ProfileManager
> switch.

heh, that's why I missed it -- I started firefox2 from the command line :-(
Comment 30 Axel Thimm 2007-01-01 09:50:23 EST
Please consider also upgrade paths to F?7, a firefox2 user in FC6 would be
rather annoyed finding his half year old profile imported over instead of what
this package would maintain. And this kind of upgrade path would only be
possible from the main ff package.

E.g. in any case Chris cooperation is a must for this package
(Obsoleting/Providing this package and catering for collecting user data) and if
he gets that much involved, then perhaps it would be more worth to him to issue
an ff2 update for FC6?
Comment 31 Christopher Aillon 2007-01-02 14:56:22 EST
I've already pointed out in various posts why this is not a good idea.  Axel
points out more.  Additionally, the Firefox 2 package in rawhide currently
regresses a lot with respect to i18n text rendering in the FC6 1.5 package. 
Many fixes have been going into the 1.5 branch from various distros, so making
sure that 2.0.x has all those fixes is imperative.

Honestly, I'm sorry that there are a few extension authors that couldn't be
bothered supporting 1.5.  I'm also sorry that XULrunner is still not released
yet because this would be less of an issue then.  But I'm mostly sorry that our
desktop stack relies on gecko at all.  Because Firefox 2.0 would be in FC6
already and everyone could find some other package to complain about.

After my last public objections, some of you may have noticed that I got
agreement from the Mozilla Corp. to better support Linux distributions.  This
changed the landscape some and may potentially help get 2.0.x into earlier
Fedora releases or preferably get some 2.0.x features backported, but I can't
guarantee either will happen just yet.  I'm still working on things upstream as
I can.

So, once again, I will respectfully object to this package.  If this is going to
happen, it will be part of the core firefox package, not as a separate
parallel-installed package.  Should things change, news will be posted.

In the meantime, http://xkcd.com/c198.html
Comment 32 Thorsten Leemhuis 2007-01-03 01:23:40 EST
(In reply to comment #31)
> So, once again, I will respectfully object to this package.  If this is going to
> happen, it will be part of the core firefox package, not as a separate
> parallel-installed package.  Should things change, news will be posted.

I still think we as a project should maintain a solution for our users that want
ff2. Telling them to grab ff2 from devel is to risky IMHO.

I was wondering if we could ship FF2 in updates-testing for a while, but with
firefox beeing a dep of some other packages that is probably to complicated.
Life sucks.
Comment 33 Christopher Aillon 2007-01-03 09:35:14 EST
So you have the packager saying one thing and everyone in the Fedora "community"
saying another thing instead of the "community" rallying behind a packager's
decision on an issue.  So, now people start looking for ways to get around the
packager's decision.  "Maybe we can have an extras package, or put something
into updates-testing, etc." because nobody in the "community" thinks the
packager's decision is good enough.

Why on earth would anyone want to be a packager in this sort of "community"? 
Why would I want to continue contributing, after 3 years of Fedora package
maintainer and 6 years of upstream mozilla.org work including work on the
release team, want to continue contributing to a "community" project where I
apparently haven't garnered enough respect to gain "community" backing on a
technical, practical, and compatability decision, even if it is a little
unpopular?  The "we understand your points, but we want it anyway" mentality is
getting a little old.

Can't we simply tell people Fedora 6 has 1.5, Fedora 7 will have Firefox 2?  If
the success of FC6 is so dependent on a single package being upgraded, then
something is completely off.  Yes, I am aware that people want it.  That doesn't
mean we should bend over backwards to do it.  If that were the case, we'd have
shipped all sorts of media codecs by now.  But we do what's right, not
necessarily what's popular.  So, how about a little support?
Comment 34 Jeffrey C. Ollie 2007-01-03 10:17:13 EST
I have to agree with Christopher on this one... There's nothing so
earth-shatteringly cool in FF2 that's worth the pain (and ill will) of
shoehorning it into FC6.  FF is just too deeply integrated into various bits of
the desktop anymore.
Comment 35 Tim Lauridsen 2007-01-03 10:29:04 EST
I also agree with Christopher, the default FF in FC6 is 1.5 and that is fine
with me, if people want to play with with FF 2.0 in FC6, they can get it from
the Remi 3. part repository, so let Christopher do real some work on future
version of firefox and close this request.
Comment 36 Gilboa Davara 2007-01-03 11:11:31 EST
Christopher,

I think you're taking this -way- too seriously. Life is too short to get upset
about a few comments on bugzilla.
You are the maintainer, and you get to say the last word. People may accept it,
or cry about it, but it doesn't change the basic fact that, well, you get to say
the final word.
Either way, there's no reason for you to take it personally - no matter how high
the shouting/crying/complaining get.

As for me, I'm lurking here for a stable SRPMs. Once its out, I'll do what I did
back when FF 1.5 was released and FC4 only had FF 1.0.x - take the -devel SRPM,
adapt it, and build it myself.
Being a KDE user, I don't risk blowing my DE stack, and if something breaks (and
things do break...), I have one man to blame - me.

- Gilboa
Comment 37 Christopher Stone 2007-01-03 11:41:34 EST
Why is this bug even being considered when we already have:
http://fedoraproject.org/wiki/Firefox2

Which should be good enough for anyone.

Can we just close this bug as RIDICULOUS?
Comment 38 Kevin Fenzi 2007-01-03 12:19:36 EST
Christopher, please don't take this as the "community" trying to bypass you... 
I can't speak for the "community", but I really appreciate all the work you do 
on firefox, but with the fedora package and working with upstream.

Lots of people want 2.0. 
It sounds like 2.0 has regressions vs 1.5 currently. :(

I would have liked to see this as an option in fc6, but I understand that it
would be a headache. I hope the regressions can be dealt with and you at some
point are able to ship it in fc6 (either as a main firefox upgrade, or as a
firefox2 parallel installabe package). 

So, currently I would be all for closing this request... 
Comment 39 Thorsten Leemhuis 2007-01-03 12:31:27 EST
(In reply to comment #38)
> Christopher, please don't take this as the "community" trying to bypass you... 
> I can't speak for the "community", but I really appreciate all the work you do 
> on firefox, but with the fedora package and working with upstream.

+1
 
> Lots of people want 2.0. 

Agreed. I even think most people will agree with the "There's nothing [...]
earth-shatteringly cool in FF2" after they tried, but they will proably want to
try it own their own

> I would have liked to see this as an option in fc6, but I understand that it
> would be a headache. I hope the regressions can be dealt with and you at some
> point are able to ship it in fc6 (either as a main firefox upgrade, or as a
> firefox2 parallel installabe package). 
> 
> So, currently I would be all for closing this request... 

+1
Comment 40 Florin Andrei 2007-01-03 13:56:13 EST
(In reply to comment #37)
> Why is this bug even being considered when we already have:
> http://fedoraproject.org/wiki/Firefox2

I can't access that page for some reason - anyway, just make sure the RPMs made
by Gawain Lynch are mentioned on that page and then, yes, this bug report might
become a little bit redundant.
Comment 41 Dustin Ratliffe 2007-01-03 15:27:57 EST
Chris,

I just noticed
http://christopher.aillon.org/blog/dev/mozilla/20061204-linux-alliance.html
and
http://steelgryphon.com/blog/?p=96
linked off of
http://fedoraproject.org/wiki/Firefox2

That's great news! Thank you for your efforts in getting better linux support
upstream. 

Please keep us informed of progress on this front in your blog or on the wiki.
Your documenting of firefox integration issues are important and will help spur
collaboration in solving them.
Comment 42 Gawain Lynch 2007-01-03 18:50:31 EST
Wow!

In the world of open source things tend to happen because people have an itch
they want to scratch.  That is what happened here.  I figured out a way to build
this in parallel and posted some details to -devel for others who should know
the risks and wanted to do it themselves.  Period!

I was asked by many people to put a package up and that is what I did.  I never
meant to cause anyone grief and the reaction to this bug says that obviously one
should not have ever tried.

Chris, I am truly sorry.  Bug closed.
Comment 43 Dmitriy Kropivnitskiy 2007-01-19 14:37:50 EST
> Why is this bug even being considered when we already have:
> http://fedoraproject.org/wiki/Firefox2

Because the wiki page actually refers to this bug as a possible solution to "How
do I get firefox 2 on my FC6 system?" problem.

Note You need to log in before you can comment on or make changes to this bug.